#ifndef __OtherSettingsDLG_H_
#define __OtherSettingsDLG_H_

#include "resource.h"       // main symbols
#include <atlhost.h>


/////////////////////////////////////////////////////////////////////////////
// COtherSettingsDialog dialog

class COtherSettingsDialog : public CAxDialogImpl<COtherSettingsDialog>
{
// Construction
public:
	COtherSettingsDialog();   // standard constructor

	~COtherSettingsDialog();

	enum { IDD = IDD_OTHERSETTINGS };

BEGIN_MSG_MAP(COtherSettingsDialog)
	MESSAGE_HANDLER(WM_INITDIALOG, OnInitDialog)
	MESSAGE_HANDLER(WM_DESTROY, OnDestroy)
	MESSAGE_HANDLER(WM_HELP, OnContextHelp)
	COMMAND_ID_HANDLER(IDC_AUTOUPGRADE, OnAutoUpgrade)
	COMMAND_ID_HANDLER(IDOK, OnOK)
	COMMAND_ID_HANDLER(IDCANCEL, OnCancel)
	COMMAND_HANDLER(IDC_DISABLE_SOUNDS, BN_CLICKED, OnClickedDisableSounds)
	COMMAND_ID_HANDLER(IDC_MYHELP, OnHelp)
END_MSG_MAP()

	LRESULT OnInitDialog(UINT, WPARAM, LPARAM, BOOL&);
	LRESULT OnDestroy(UINT, WPARAM, LPARAM, BOOL&);
	LRESULT OnAutoUpgrade(WORD, WORD, HWND, BOOL&);
	LRESULT OnOK(WORD, WORD, HWND, BOOL&);
	LRESULT OnCancel(WORD, WORD, HWND, BOOL&);
	LRESULT OnContextHelp(UINT id, WPARAM wParam, LPARAM lParam, BOOL& bFlag);
	LRESULT OnHelp(WORD, WORD, HWND, BOOL&);

	LRESULT OnClickedDisableSounds(WORD wNotifyCode, WORD wID, HWND hWndCtl, BOOL& bHandled);
};


#endif 