// PolicySummaryDialog.cpp : implementation file
//

#include "stdafx.h"

#include "P3PClient.h"
#include "P3PObject.h"
#include "PolicySummaryDialog.h"
#include "commctrl.h"
#include "globals.h"



/////////////////////////////////////////////////////////////////////////////
// CPolicySummaryDialog dialog


CPolicySummaryDialog::CPolicySummaryDialog(Result &res):result(res)
{
	// Store the pointer to the CP3PObject class
}


CPolicySummaryDialog::~CPolicySummaryDialog()
{
}


LRESULT CPolicySummaryDialog::OnInitDialog(UINT uMsg, WPARAM wParam, 
	LPARAM lParam, BOOL& bHandled)
{
//	SetWindowText(icondlg.GetLocationURL().host());

	HRESULT hr = CComObject<CWebHost>::CreateInstance(&p_webhost);
	if( SUCCEEDED(hr) )
	{
		p_webhost->Run(this->m_hWnd, result);
		POINT p = {MARGIN+1, MARGIN+1};
		::SetFocus(ChildWindowFromPoint(p));
	}
	return 1;  
}


/////////////////////////////////////////////////////////////////////////////
// OnDestroy - Responds to the WM_DESTROY message
// 
LRESULT CPolicySummaryDialog::OnDestroy(UINT, WPARAM, LPARAM, BOOL&)
{

	return 1;  
}


LRESULT CPolicySummaryDialog::OnOK(WORD, WORD, HWND, BOOL&)
{

	EndDialog(IDOK);
	return 1;

}
LRESULT CPolicySummaryDialog::OnCancel(WORD, WORD, HWND, BOOL&)
{
	EndDialog(IDCANCEL);
	return 1;

}

LRESULT CPolicySummaryDialog::OnContextHelp(UINT id, WPARAM wParam, LPARAM lParam, BOOL& bFlag)
{
	::MessageBeep(MB_OK);
	return 1;
}



