// PolicySummaryDialog.cpp : implementation file
//

#include "stdafx.h"

#include "P3PClient.h"
#include "P3PObject.h"
#include "ViewPolicyDialog.h"
#include "commctrl.h"
#include "PolicyHandler.h"



/////////////////////////////////////////////////////////////////////////////
// CViewPolicyDialog dialog


CViewPolicyDialog::CViewPolicyDialog(GURL &URL, GString &LocalPolicyURL):url(URL), localpolicyurl(LocalPolicyURL)
{
	// Store the pointer to the CP3PObject class
}


CViewPolicyDialog::~CViewPolicyDialog()
{
}


LRESULT CViewPolicyDialog::OnInitDialog(UINT uMsg, WPARAM wParam, 
	LPARAM lParam, BOOL& bHandled)
{

	
	SetWindowText(url);

	HRESULT hr = CComObject<CWebHost>::CreateInstance(&p_webhost);
	if( SUCCEEDED(hr) )
	{
		p_webhost->Run(this->m_hWnd, localpolicyurl);
		POINT p = {MARGIN+1, MARGIN+1};
		::SetFocus(ChildWindowFromPoint(p));
	}
	/*
	if( data )
	{
		GString retpolicy;
		const char *str = data;
		int len = strlen(data);
		for( int i=0; i<len; i++)
		{
			if( i>0 && str[i-1] != '\r' && str[i] == '\n' )
			{
				retpolicy += '\r';
			}
			retpolicy += str[i];
		}

		SetDlgItemText(IDC_VIEW_POLICY, retpolicy);
		
	}
	*/
	
	return 1;  
}


/////////////////////////////////////////////////////////////////////////////
// OnDestroy - Responds to the WM_DESTROY message
// 
LRESULT CViewPolicyDialog::OnDestroy(UINT, WPARAM, LPARAM, BOOL&)
{

	return 1;  
}



LRESULT CViewPolicyDialog::OnCancel(WORD, WORD, HWND, BOOL&)
{
	EndDialog(IDCANCEL);
	return 1;

}

LRESULT CViewPolicyDialog::OnContextHelp(UINT id, WPARAM wParam, LPARAM lParam, BOOL& bFlag)
{
	::MessageBeep(MB_OK);
	return 1;
}

LRESULT CViewPolicyDialog::OnSize(UINT type, WPARAM wparam, LPARAM lparam, BOOL& handeled)
{
	int cx = LOWORD(lparam);  
    int cy = HIWORD(lparam); 
	::SetWindowPos(GetDlgItem(IDC_VIEW_POLICY), 0, 0, 0, cx-20, cy-20, SWP_NOMOVE|SWP_NOZORDER);
	return TRUE;
}




