#include "Globals.h"
#include <time.h>
#include "GContainer.h"
#include "GString.h"
#include "GOS.h"

time_t InternetTimeToUnixTime(const char *it) {
  return 0;
}

GURL GetURLFromP3PHeader(GString &p3pheader, const GURL &sourceURL) {
  TRY {
    GURL url;
    if(p3pheader.length()) {
      int pos = p3pheader.search("policyref=");
      if( pos >= 0 ) {
	pos = p3pheader.search("\"", pos);
	if( pos >= 0 ) {
	  int endpos = p3pheader.search("\"", pos+1);
	  if(endpos > pos) {
	    GString strurl = p3pheader.substr(pos+1, endpos-pos-1);
	    url = GURL(strurl, sourceURL);
	    return url;
	  }
	}
      }
    }
  }
  CATCH(ex) {;}
  ENDCATCH;
  return GURL();
}

GString SeparateNameAndURL(GURL &url) {
  if(url.is_empty())
    return "";
  GString strurl = (GString)url;
  int poundpos = strurl.search('#');
  if( poundpos >= 0 ) {
    url = strurl.substr(0, poundpos);
    return strurl.substr(poundpos+1, -1);
  }
  return "";
}
