#ifndef __OverrideSitesDLG_H_
#define __OverrideSitesDLG_H_

#include "resource.h"       // main symbols
#include <atlhost.h>
#include "P3PPreferences.h"


/////////////////////////////////////////////////////////////////////////////
// COverrideSitesDialog dialog

class COverrideSitesDialog : public CAxDialogImpl<COverrideSitesDialog>
{

// Construction
public:
	COverrideSitesDialog();   // standard constructor

	~COverrideSitesDialog();

	enum { IDD = IDD_OVERRIDESITES };

BEGIN_MSG_MAP(COverrideSitesDialog)
	MESSAGE_HANDLER(WM_INITDIALOG, OnInitDialog)
	MESSAGE_HANDLER(WM_DESTROY, OnDestroy)
	MESSAGE_HANDLER(WM_NOTIFY, OnNotify )
	COMMAND_ID_HANDLER(IDOK, OnOK)
	COMMAND_ID_HANDLER(ID_DELETE, OnDelete)
	COMMAND_ID_HANDLER(IDCANCEL, OnCancel)
	COMMAND_HANDLER(IDOK, BN_CLICKED, OnOK)
END_MSG_MAP()

	LRESULT OnInitDialog(UINT, WPARAM, LPARAM, BOOL&);
	LRESULT OnDestroy(UINT, WPARAM, LPARAM, BOOL&);
	LRESULT OnOK(WORD, WORD, HWND, BOOL&);
	LRESULT OnNotify(UINT, WPARAM, LPARAM, BOOL&);
	LRESULT OnDelete(WORD, WORD, HWND, BOOL&);
	LRESULT OnCancel(WORD, WORD, HWND, BOOL&);
	
private:
	void EnableButtons(int enable);
//	int GetSelectedItemLParam();

};


#endif 