#ifndef __FullPolicyDLG_H_
#define __FullPolicyDLG_H_

#include "resource.h"       // main symbols
#include <atlhost.h>


/////////////////////////////////////////////////////////////////////////////
// CPostWarningDialog dialog

class CPostWarningDialog : public CAxDialogImpl<CPostWarningDialog>
{
	Result *result;
	HFONT font;
	bool dontwarn;
// Construction
public:
	CPostWarningDialog(Result *result);   // standard constructor

	~CPostWarningDialog();
	bool GetDontWarnStatus() { return dontwarn; }

	enum { IDD = IDD_POSTWARNING };

BEGIN_MSG_MAP(CPostWarningDialog)
	MESSAGE_HANDLER(WM_INITDIALOG, OnInitDialog)
	MESSAGE_HANDLER(WM_DESTROY, OnDestroy)
	MESSAGE_HANDLER(WM_HELP, OnContextHelp)
	MESSAGE_HANDLER(WM_PAINT, OnPaint)

	COMMAND_ID_HANDLER(IDOK, OnOK)
	COMMAND_ID_HANDLER(IDCANCEL, OnCancel)
	COMMAND_ID_HANDLER(IDC_MOREINFO, OnMoreInfo)
END_MSG_MAP()

	LRESULT OnInitDialog(UINT, WPARAM, LPARAM, BOOL&);
	LRESULT OnDestroy(UINT, WPARAM, LPARAM, BOOL&);
	LRESULT OnPaint(UINT, WPARAM, LPARAM, BOOL&);
	LRESULT OnOK(WORD, WORD, HWND, BOOL&);
	LRESULT OnCancel(WORD, WORD, HWND, BOOL&);
	LRESULT OnMoreInfo(WORD, WORD, HWND, BOOL&);
	LRESULT OnContextHelp(UINT, WPARAM, LPARAM, BOOL&);

	
};


#endif 