#ifndef __ViewPolicyDLG_H__
#define __ViewPolicyDLG_H__

#include "resource.h"       // main symbols
#include <atlhost.h>
#include "IconDialog.h"
#include "WebHost.h"


/////////////////////////////////////////////////////////////////////////////
// CViewPolicyDialog dialog

class CViewPolicyDialog : public CAxDialogImpl<CViewPolicyDialog>
{
	GURL url;
	//const char*data;
	GString localpolicyurl;
// Construction
public:
	CViewPolicyDialog(GURL &URL, GString &LocalPolicyURL);   // standard constructor

	~CViewPolicyDialog();

	enum { IDD = IDD_VIEW_POLICY };

BEGIN_MSG_MAP(CViewPolicyDialog)
	MESSAGE_HANDLER(WM_INITDIALOG, OnInitDialog)
	MESSAGE_HANDLER(WM_DESTROY, OnDestroy)
	MESSAGE_HANDLER(WM_HELP, OnContextHelp)
	MESSAGE_HANDLER(WM_SIZE, OnSize)
	
	COMMAND_ID_HANDLER(IDCANCEL, OnCancel)
END_MSG_MAP()

	LRESULT OnInitDialog(UINT, WPARAM, LPARAM, BOOL&);
	LRESULT OnDestroy(UINT, WPARAM, LPARAM, BOOL&);

	LRESULT OnCancel(WORD, WORD, HWND, BOOL&);
	LRESULT OnContextHelp(UINT, WPARAM, LPARAM, BOOL&);
	LRESULT OnSize(UINT type, WPARAM wparam, LPARAM lparam, BOOL& handeled);	

	CComObject<CWebHost> *p_webhost;
};


#endif 