#include "PatMatch.h"
#include <string.h>


bool patternmatch(const char *pattern, const char *str)
{
	if( pattern && str )
	{
		while(*pattern && *str)
		{
			switch(*pattern)
			{
			case '*':
				{
					pattern++;
					if( *pattern )
					{
						while(*pattern && *str)
						{
							switch(*pattern)
							{
							case '*': 
								pattern++;
								break;
							case '?':
								pattern++;
								str++;
								break;
							default:
								goto out;
							}
						}
						out:
						if( !*pattern )
							return true;
						if( !*str )
							break;

						char *tmp = strchr(str, *pattern);
						while( tmp )
						{
							if( patternmatch(pattern, tmp) )
								return true;
							tmp = strchr(tmp+1, *pattern);
						}
					}
					else
						return true;
				}
				break;

			case '?':
				pattern++;
				str++;
				break;

			default:
				if( *pattern != *str )
					return false;
				pattern++;
				str++;
				break;

			}
		}
		if( *str )
			return false;
		else if( *pattern )
		{
			while(*pattern == '*')
				pattern++;
			if( *pattern )
				return false;
			else
				return true;
		}
		else
			return true;
	}
	return false;
		
}
